#
# Please do not update/rebuild/touch this package before asking first
# neoclust and/or daviddavid
# This package is part of the KDE Stack.
#

# set to '_without' to do a bootstrap build
%bcond_with bootstrap

%define rel 1
%define module plasma-desktop

Summary:        Plasma for the Desktop
Name:           plasma-desktop
Version: 6.1.2
Release:        %mkrel %rel
License:        GPLv2+
Group:          System/Base
URL:            https://kde.org/plasma-desktop/
Source0:        https://download.kde.org/stable/plasma/%{version}/%{module}-%{version}.tar.xz

# Mageia patches
Patch1:         0001-Change-default-icon.patch
Patch2:         0002-Change-default-desktop-layout.patch
Patch3:         0003-Change-default-mageia-theme-org.mageia.breeze.patch

## upstream patches

BuildRequires:  kf6-rpm-macros

BuildRequires:  cmake(Qt6Core5Compat)
BuildRequires:  cmake(Qt6Core)
BuildRequires:  cmake(Qt6Quick)
BuildRequires:  cmake(Qt6DBus)
BuildRequires:  cmake(Qt6Widgets)
BuildRequires:  cmake(Qt6Sql)
BuildRequires:  cmake(Qt6Svg)
BuildRequires:  cmake(Qt6Test)
BuildRequires:  cmake(Qt6Concurrent)
BuildRequires:  cmake(Qt6QuickWidgets)
BuildRequires:  cmake(Qt6WaylandClient)

BuildRequires:  cmake(KF6Auth)
BuildRequires:  cmake(KF6Crash)
BuildRequires:  cmake(KF6Config)
BuildRequires:  cmake(KF6DocTools)
BuildRequires:  cmake(KF6I18n)
BuildRequires:  cmake(KF6KCMUtils)
BuildRequires:  cmake(KF6NewStuff)
BuildRequires:  cmake(KF6KIO)
BuildRequires:  cmake(KF6Notifications)
BuildRequires:  cmake(KF6NotifyConfig)
BuildRequires:  cmake(KF6Attica)
BuildRequires:  cmake(KF6Runner)
BuildRequires:  cmake(KF6GlobalAccel)
BuildRequires:  cmake(KF6CoreAddons)
BuildRequires:  cmake(KF6GuiAddons)
BuildRequires:  cmake(KF6DBusAddons)
BuildRequires:  cmake(KF6WidgetsAddons)
BuildRequires:  cmake(KF6Codecs)
BuildRequires:  cmake(KF6Sonnet)
BuildRequires:  cmake(KF6Package)
BuildRequires:  cmake(KF6IconThemes)
BuildRequires:  cmake(KF6XmlGui)
BuildRequires:  cmake(KF6Svg)

BuildRequires:  cmake(Plasma5Support)
BuildRequires:  cmake(Plasma)
BuildRequires:  cmake(PlasmaQuick)
BuildRequires:  cmake(PlasmaActivities)
BuildRequires:  cmake(PlasmaActivitiesStats)
BuildRequires:  cmake(KF6Kirigami)
BuildRequires:  cmake(KF6KirigamiAddons)
BuildRequires:  cmake(KF6QQC2DesktopStyle)

BuildRequires:  cmake(AccountsQt6)
%if ! %{with bootstrap}
BuildRequires:  cmake(KAccounts6)
%endif
BuildRequires:  cmake(LibKWorkspace)
BuildRequires:  cmake(KWinDBusInterface)
BuildRequires:  cmake(KF6ItemModels)
BuildRequires:  cmake(KSysGuard)
BuildRequires:  cmake(KF6KDED)
BuildRequires:  cmake(KF6Baloo)
BuildRequires:  cmake(packagekitqt6)

BuildRequires:  intltool
BuildRequires:  pkgconfig(xkbfile)
BuildRequires:  pkgconfig(xft)
BuildRequires:  pkgconfig(ibus-1.0)
BuildRequires:  pkgconfig(libusb-1.0)
BuildRequires:  pkgconfig(scim)

BuildRequires:  pkgconfig(libcanberra)
BuildRequires:  pkgconfig(signon-oauth2plugin)
BuildRequires:  pkgconfig(sdl2)
BuildRequires:  pkgconfig(xkbcommon)
BuildRequires:  boost-devel

BuildRequires:  pkgconfig(x11-xcb)
BuildRequires:  pkgconfig(xcb)
BuildRequires:  pkgconfig(xcb-record)
BuildRequires:  pkgconfig(xorg-libinput)
BuildRequires:  pkgconfig(xorg-server)
BuildRequires:  pkgconfig(xorg-synaptics)
BuildRequires:  pkgconfig(xorg-evdev)
BuildRequires:  pkgconfig(xkeyboard-config)
BuildRequires:  pkgconfig(wayland-protocols)
BuildRequires:  xdg-user-dirs

# for kcm_keyboard
BuildRequires:  pkgconfig(libudev)
Requires:       iso-codes

# kcm_users
Requires:       accountsservice

Requires:       krunner
Requires:       kwallet
Requires:       baloo
Requires:       milou
%if ! %{with bootstrap}
Requires:       kio-extras >= 24.01
Requires:       kamera >= 24.01
%endif
Requires:       kglobalaccel
Requires:       plasma-activities
Requires:       polkit-kde-agent-1
Requires:       kscreen
Requires:       kdesu
Requires:       kwalletmanager
Requires:       kde-gtk-config
Requires:       kio
Requires:       kservice
Requires:       kde-cli-tools
Requires:       kconfig
Requires:       powerdevil
Requires:       mageia-plasma-config
Requires:       plasma-pa
Requires:       solid
Requires:       kmenuedit
Requires:       kdeplasma-addons
Requires:       kactivitymanagerd
Requires:       kparts
Requires:       sonnet
Requires:       bluedevil
Requires:       kpackage
Requires:       kimageformats
Requires:       kirigami
Requires:       qqc2-desktop-style
Requires:       systemsettings
Requires:       ibus-dicts-emoji
Requires:       signon-plugin-oauth2
# Disable on mageia 9.
# It requires pipewire by default and in mageia 9 we still use PA.
# Requires:       kpipewire
# see mga#27148
Recommends:     plasma-browser-integration

Recommends:     font(notocoloremoji)

Provides:       user-manager = %{version}-%{release}

# ease upgrade mga9 -> mga10
Conflicts:      plasma-workspace < 6.0.90-1


%description
Plasma for the Desktop.

%files -f %name.lang
%_kf6_sysconfdir/xdg/autostart/kaccess.desktop
%_kf6_categoriesdir/kcmkeys.categories
%_kf6_categoriesdir/kcm_gamecontroller.categories
%_kf6_categoriesdir/kcm_kded.categories
%_kf6_categoriesdir/kcm_keyboard.categories
%_kf6_categoriesdir/kcm_mouse.categories
%_kf6_categoriesdir/kcm_tablet.categories
%_kf6_categoriesdir/kcm_touchscreen.categories
%_kf6_bindir/kaccess
%_kf6_bindir/kapplymousetheme
%_kf6_bindir/knetattach
%_kf6_bindir/plasma-emojier
%_kf6_bindir/solid-action-desktop-gen
%_kf6_bindir/kcm-touchpad-list-devices
%_kf6_bindir/tastenbrett
%_kf6_bindir/krunner-plugininstaller
%_kf6_plugindir/krunner/krunner_kwin.so
%_kf6_plugindir/krunner/krunner_plasma-desktop.so
%_qt6_plugindir/*.so
%_qt6_plugindir/plasma/kcminit/*.so
%_qt6_plugindir/plasma/kcms/systemsettings/*.so
%_qt6_plugindir/plasma/kcms/systemsettings_qwidgets/
%_qt6_plugindir/plasma/kcms/desktop/kcm_krunnersettings.so
%_kf6_datadir/polkit-1/actions/org.kde.kcontrol.kcmclock.policy
%_kf6_qmldir/org/kde/plasma/private/kcm_keyboard/
%_kf6_qmldir/org/kde/plasma/private/pager/
%_kf6_qmldir/org/kde/plasma/private/showdesktop/
%_kf6_qmldir/org/kde/plasma/private/taskmanager/
%_kf6_qmldir/org/kde/plasma/private/trash/
%_kf6_qmldir/org/kde/plasma/activityswitcher/
%_kf6_qmldir/org/kde/plasma/emoji/
%_kf6_qmldir/org/kde/private/desktopcontainment
%_kf6_qmldir/org/kde/plasma/private/kimpanel
%_kf6_metainfodir/org.kde.plasmashell.metainfo.xml
%_libexecdir/*
%_kf6_applicationsdir/*.desktop
%_kf6_datadir/accounts/providers/kde/opendesktop.provider
%_kf6_datadir/accounts/services/kde/opendesktop-rating.service
%_kf6_datadir/knsrcfiles/*.knsrc
%_kf6_datadir/dbus-1/system.d/org.kde.kcontrol.kcmclock.conf
%_kf6_datadir/dbus-1/system-services/*.service
%_kf6_datadir/dbus-1/interfaces/org.kde.touchpad.xml
%_kf6_iconsdir/*/*/*/*
%_kf6_datadir/kcmkeys/
%_kf6_datadir/kcmmouse/
%_kf6_knotificationsdir/*.notifyrc
%_kf6_datadir/kcmsolidactions/solid-action-template.desktop
%_kf6_datadir/kglobalaccel/org.kde.plasma.emojier.desktop
%_kf6_datadir/solid/devices/*.desktop
%_kf6_datadir/plasma/emoji/
%_kf6_datadir/plasma/packages/org.kde.paneltoolbox/
%_kf6_datadir/plasma/plasmoids/org.kde.desktopcontainment/
%_kf6_datadir/plasma/plasmoids/org.kde.panel/
%_kf6_datadir/plasma/plasmoids/org.kde.plasma.folder/
%_kf6_datadir/plasma/plasmoids/org.kde.plasma.icontasks/
%_kf6_datadir/plasma/plasmoids/org.kde.plasma.keyboardlayout/
%_kf6_datadir/plasma/plasmoids/org.kde.plasma.kicker/
%_kf6_datadir/plasma/plasmoids/org.kde.plasma.kickoff/
%_kf6_datadir/plasma/plasmoids/org.kde.plasma.kimpanel/
%_kf6_datadir/plasma/plasmoids/org.kde.plasma.marginsseparator/
%_kf6_datadir/plasma/plasmoids/org.kde.plasma.minimizeall/
%_kf6_datadir/plasma/plasmoids/org.kde.plasma.pager/
%_kf6_datadir/plasma/plasmoids/org.kde.plasma.showActivityManager/
%_kf6_datadir/plasma/plasmoids/org.kde.plasma.showdesktop/
%_kf6_datadir/plasma/plasmoids/org.kde.plasma.taskmanager/
%_kf6_datadir/plasma/plasmoids/org.kde.plasma.trash/
%_kf6_datadir/plasma/plasmoids/org.kde.plasma.windowlist/
%_kf6_datadir/plasma/plasmoids/org.kde.plasma.activitypager/
%_kf6_datadir/plasma/shells/org.kde.plasma.desktop/
%_kf6_datadir/plasma/layout-templates/org.kde.plasma.desktop.defaultPanel/
%_kf6_datadir/plasma/layout-templates/org.kde.plasma.desktop.emptyPanel/
%_kf6_datadir/plasma/layout-templates/org.kde.plasma.desktop.appmenubar/
%_kf6_datadir/config.kcfg/*.kcfg
%_kf6_plugindir/kded/device_automounter.so
%_kf6_plugindir/kded/keyboard.so
%_kf6_plugindir/kded/kded_touchpad.so
%_kf6_metainfodir/org.kde*.appdata.xml
%_kf6_datadir/kcm_recentFiles/workspace/settings/qml/recentFiles/
%{_datadir}/sddm/themes/breeze/

#--------------------------------------------------------------------

%package handbook
Summary:        %module Handbook
Group:          Documentation
BuildArch:      noarch

%description handbook
This package provides %module Handbook.

%files handbook
%doc %_kf6_docdir/HTML/*/kcontrol/clock
%doc %_kf6_docdir/HTML/*/kcontrol/joystick
%doc %_kf6_docdir/HTML/*/kcontrol/kcm_recentFiles
%doc %_kf6_docdir/HTML/*/kcontrol/kcmaccess
%doc %_kf6_docdir/HTML/*/kcontrol/solid-actions
%doc %_kf6_docdir/HTML/*/kcontrol/splashscreen
%doc %_kf6_docdir/HTML/*/kfontview
%doc %_kf6_docdir/HTML/*/knetattach
%doc %_kf6_docdir/HTML/*/plasma-desktop
%doc %_kf6_docdir/HTML/*/kcontrol/baloo
%doc %_kf6_docdir/HTML/*/kcontrol/componentchooser
%doc %_kf6_docdir/HTML/*/kcontrol/kcmsmserver
%doc %_kf6_docdir/HTML/*/kcontrol/kded
%doc %_kf6_docdir/HTML/*/kcontrol/keyboard
%doc %_kf6_docdir/HTML/*/kcontrol/keys
%doc %_kf6_docdir/HTML/*/kcontrol/mouse
%doc %_kf6_docdir/HTML/*/kcontrol/paths
%doc %_kf6_docdir/HTML/*/kcontrol/solid-device-automounter
%doc %_kf6_docdir/HTML/*/kcontrol/spellchecking
%doc %_kf6_docdir/HTML/*/kcontrol/kcmlaunchfeedback/
%doc %_kf6_docdir/HTML/*/kcontrol/kcmactivities/
%doc %_kf6_docdir/HTML/*/kcontrol/workspaceoptions/

#--------------------------------------------------------------------

%prep
%autosetup -p1 -n %module-%version

%build
%cmake_kf6
%cmake_build

%install
%cmake_install

%find_lang %name --all-name

# let's use our custom kde-mimeapps from shared-mime-info pkg
rm -rfv %{buildroot}%_kf6_applicationsdir/kde-mimeapps.list

# odd locale stuff?
rm -rfv %{buildroot}%{_datadir}/locale/*/LC_SCRIPTS/kfontinst/


%changelog
* Tue Jul 02 2024 daviddavid <daviddavid> 6.1.2-1.mga10
+ Revision: 2079128
- New version 6.1.2

* Tue Jun 25 2024 daviddavid <daviddavid> 6.1.1-1.mga10
+ Revision: 2076727
- New version 6.1.1

* Tue Jun 18 2024 neoclust <neoclust> 6.1.0-1.mga10
+ Revision: 2074837
- New version 6.1.0

* Sat Jun 08 2024 neoclust <neoclust> 6.0.90-1.mga10
+ Revision: 2071252
- New version 6.0.90

* Tue Apr 16 2024 daviddavid <daviddavid> 6.0.4-1.mga10
+ Revision: 2057928
- New version 6.0.4

* Wed Mar 27 2024 daviddavid <daviddavid> 6.0.3-1.mga10
+ Revision: 2052498
- New version 6.0.3

* Tue Mar 12 2024 daviddavid <daviddavid> 6.0.2-1.mga10
+ Revision: 2049408
- New version 6.0.2

* Thu Mar 07 2024 daviddavid <daviddavid> 6.0.1-1.mga10
+ Revision: 2048157
- New version 6.0.1

* Sat Mar 02 2024 daviddavid <daviddavid> 6.0.0-2.mga10
+ Revision: 2046840
- use our custom kde-mimeapps file from shared-mime-info pkg

* Fri Mar 01 2024 neoclust <neoclust> 6.0.0-1.mga10
+ Revision: 2046115
- New version 6.0.0

* Fri Feb 02 2024 neoclust <neoclust> 5.93.0-1.mga10
+ Revision: 2036804
- New version 5.93.0
+ daviddavid <daviddavid>
- recommend font(notocoloremoji)

* Thu Jan 11 2024 neoclust <neoclust> 5.92.0-1.mga10
+ Revision: 2030117
- New version 5.92.0

* Wed Jan 03 2024 neoclust <neoclust> 5.91.0-1.mga10
+ Revision: 2026460
- New version 5.91.0
- New version 5.90.0
- New version 5.90.0

* Wed Nov 15 2023 daviddavid <daviddavid> 5.27.80-2.mga10
+ Revision: 2006964
- add back our custom configuration

* Tue Nov 14 2023 neoclust <neoclust> 5.27.80-1.mga10
+ Revision: 2006814
- New version 5.27.80

* Wed Oct 25 2023 daviddavid <daviddavid> 5.27.9-1.mga10
+ Revision: 2001126
- New version 5.27.9

* Wed Sep 20 2023 daviddavid <daviddavid> 5.27.8-1.mga10
+ Revision: 1988254
- New version 5.27.8

* Thu Jun 01 2023 daviddavid <daviddavid> 5.27.5-2.mga9
+ Revision: 1960428
- add patch to change default mageia theme 'org.mageia.breeze' in ksplash

* Fri May 26 2023 neoclust <neoclust> 5.27.5-1.mga9
+ Revision: 1958057
- New version 5.27.5

* Mon Apr 10 2023 neoclust <neoclust> 5.27.4-1.mga9
+ Revision: 1951971
- New version 5.27.4

* Tue Mar 21 2023 daviddavid <daviddavid> 5.27.3-2.mga9
+ Revision: 1949929
- drop no more needed by the project KF5WebKit build dependency

* Wed Mar 15 2023 neoclust <neoclust> 5.27.3-1.mga9
+ Revision: 1949095
- New version 5.27.3

* Tue Feb 28 2023 neoclust <neoclust> 5.27.2-1.mga9
+ Revision: 1945802
- New version 5.27.2

* Wed Feb 22 2023 daviddavid <daviddavid> 5.27.1-1.mga9
+ Revision: 1944814
- New version 5.27.1

* Tue Feb 14 2023 neoclust <neoclust> 5.27.0-1.mga9
+ Revision: 1942370
- New version 5.27.0

* Sun Feb 05 2023 neoclust <neoclust> 5.26.90-2.mga9
+ Revision: 1938572
- Disable kpipewire install by default

* Tue Jan 24 2023 neoclust <neoclust> 5.26.90-1.mga9
+ Revision: 1935941
- New version 5.26.90

* Sat Jan 21 2023 daviddavid <daviddavid> 5.26.5-2.mga9
+ Revision: 1934635
- add conflicts to ease upgrade mga8 -> mga9 (mga#31433)

* Thu Jan 05 2023 daviddavid <daviddavid> 5.26.5-1.mga9
+ Revision: 1930078
- New version 5.26.5

* Thu Dec 15 2022 neoclust <neoclust> 5.26.4-1.mga9
+ Revision: 1923130
- New version 5.26.4

* Wed Dec 14 2022 daviddavid <daviddavid> 5.26.3-3.mga9
+ Revision: 1922127
- rebuild for new Qt5 5.15.7 stack

* Fri Nov 18 2022 daviddavid <daviddavid> 5.26.3-2.mga9
+ Revision: 1908622
- add missing runtime dependency on kpipewire

* Tue Nov 15 2022 neoclust <neoclust> 5.26.3-1.mga9
+ Revision: 1907549
- New version 5.26.3
- New version 5.26.2

* Mon Sep 19 2022 neoclust <neoclust> 5.25.90-1.mga9
+ Revision: 1890333
- New version 5.25.90

* Fri Aug 05 2022 neoclust <neoclust> 5.25.4-1.mga9
+ Revision: 1875476
- New version 5.25.4

* Fri Jul 29 2022 neoclust <neoclust> 5.25.3-1.mga9
+ Revision: 1872745
- New version 5.25.3
- New version 5.24.5

* Tue Apr 12 2022 neoclust <neoclust> 5.24.4-1.mga9
+ Revision: 1849085
- New version 5.24.4

* Tue Jan 04 2022 neoclust <neoclust> 5.23.4-1.mga9
+ Revision: 1766755
- New version 5.23.4

* Mon Nov 15 2021 neoclust <neoclust> 5.23.3-1.mga9
+ Revision: 1756838
- New version 5.23.3

* Sat Nov 06 2021 neoclust <neoclust> 5.23.0-1.mga9
+ Revision: 1754306
- New version 5.23.0
- New version 5.22.90

* Sun Jul 18 2021 neoclust <neoclust> 5.22.3-1.mga9
+ Revision: 1736817
- Rediff P2: Menu icon
  Remove P202: already merged
- New version 5.22.3

* Thu May 06 2021 daviddavid <daviddavid> 5.21.5-1.mga9
+ Revision: 1721768
- New version 5.21.5

* Mon Apr 12 2021 daviddavid <daviddavid> 5.21.4-1.mga9
+ Revision: 1715401
- New version 5.21.4

* Thu Mar 18 2021 daviddavid <daviddavid> 5.21.3-1.mga9
+ Revision: 1704278
- New version 5.21.3

* Thu Mar 04 2021 daviddavid <daviddavid> 5.21.2-1.mga9
+ Revision: 1697875
- New version 5.21.2

* Sun Feb 28 2021 daviddavid <daviddavid> 5.21.1-1.mga9
+ Revision: 1694249
- New version 5.21.1

* Mon Feb 01 2021 daviddavid <daviddavid> 5.20.4-4.mga8
+ Revision: 1674296
- more upstream fixes for drag directions for top and right panels (mga#28263)

* Mon Feb 01 2021 daviddavid <daviddavid> 5.20.4-3.mga8
+ Revision: 1674291
- add upstream patch to fix drag directions for top and right panels (mga#28263)

* Tue Jan 26 2021 daviddavid <daviddavid> 5.20.4-2.mga8
+ Revision: 1673381
- add missing dependency on accountsservice as user-manager needs it

* Mon Dec 07 2020 daviddavid <daviddavid> 5.20.4-1.mga8
+ Revision: 1654203
- New version 5.20.4

* Fri Dec 04 2020 luigiwalser <luigiwalser> 5.20.3-3.mga8
+ Revision: 1652695
- revert change to icontasks

* Sun Nov 15 2020 daviddavid <daviddavid> 5.20.3-2.mga8
+ Revision: 1646200
- fix duplicate icons on default Plasma Workspace Panel (mga#27477)

* Sat Nov 14 2020 daviddavid <daviddavid> 5.20.3-1.mga8
+ Revision: 1645425
- New version 5.20.3

* Wed Oct 28 2020 daviddavid <daviddavid> 5.20.2-1.mga8
+ Revision: 1639994
- New version 5.20.2

* Wed Oct 21 2020 daviddavid <daviddavid> 5.20.1-1.mga8
+ Revision: 1637747
- New version 5.20.1

* Wed Oct 14 2020 daviddavid <daviddavid> 5.20.0-2.mga8
+ Revision: 1635916
- enable signon-oauth2plugin support

* Wed Oct 14 2020 daviddavid <daviddavid> 5.20.0-1.mga8
+ Revision: 1635911
- New version 5.20.0
- user-manager now merged into plasma-desktop

* Wed Sep 02 2020 daviddavid <daviddavid> 5.19.5-1.mga8
+ Revision: 1620795
- New version 5.19.5

* Sat Aug 22 2020 daviddavid <daviddavid> 5.19.4-3.mga8
+ Revision: 1617824
- change plasma-browser-integration to a recommended dependency instead

* Thu Aug 20 2020 daviddavid <daviddavid> 5.19.4-2.mga8
+ Revision: 1616714
- install by default plasma-browser-integration (mga#27148)

* Wed Jul 29 2020 daviddavid <daviddavid> 5.19.4-1.mga8
+ Revision: 1609613
- New version 5.19.4

* Wed Jul 08 2020 neoclust <neoclust> 5.19.3-1.mga8
+ Revision: 1603012
- New version 5.19.3

* Tue Jun 23 2020 daviddavid <daviddavid> 5.19.2-1.mga8
+ Revision: 1598727
- New version 5.19.2

* Thu Jun 18 2020 daviddavid <daviddavid> 5.19.1-1.mga8
+ Revision: 1596215
- New version 5.19.1
+ neoclust <neoclust>
- New version 5.18.90

* Sat May 09 2020 daviddavid <daviddavid> 5.18.5-2.mga8
+ Revision: 1581902
- replace old Qt4 xsettings-kde for kde-gtk-config (mga#26449)

* Wed May 06 2020 daviddavid <daviddavid> 5.18.5-1.mga8
+ Revision: 1581255
- New version 5.18.5
- New version 5.18.4.1

* Tue Mar 17 2020 daviddavid <daviddavid> 5.18.3-1.mga8
+ Revision: 1557170
- New version 5.18.3

* Tue Feb 25 2020 daviddavid <daviddavid> 5.18.2-1.mga8
+ Revision: 1550386
- New version 5.18.2

* Fri Feb 21 2020 daviddavid <daviddavid> 5.18.1-1.mga8
+ Revision: 1548373
- module ibus-ui-emojier-plasma requires ibus-dicts-emoji
- New version 5.18.1

* Thu Feb 20 2020 umeabot <umeabot> 5.18.0-2.mga8
+ Revision: 1547233
- Mageia 8 Mass Rebuild

* Wed Feb 12 2020 daviddavid <daviddavid> 5.18.0-1.mga8
+ Revision: 1496309
- New version 5.18.0

* Thu Feb 06 2020 neoclust <neoclust> 5.17.90-1.mga8
+ Revision: 1487714
- New version 5.17.90

* Sat Dec 28 2019 daviddavid <daviddavid> 5.17.4-2.mga8
+ Revision: 1474488
- pull in upstream pager fix
+ wally <wally>
- build with new cmake macros

* Wed Dec 04 2019 daviddavid <daviddavid> 5.17.4-1.mga8.nonfree
+ Revision: 1464308
- New version 5.17.4

* Fri Nov 15 2019 daviddavid <daviddavid> 5.17.3-1.mga8
+ Revision: 1460066
- New version 5.17.3

* Wed Oct 30 2019 daviddavid <daviddavid> 5.17.2-1.mga8
+ Revision: 1456777
- New version 5.17.2

* Sat Oct 26 2019 daviddavid <daviddavid> 5.17.1-2.mga8
+ Revision: 1455914
- enable KF5QQC2DeskopStyle support

* Wed Oct 23 2019 daviddavid <daviddavid> 5.17.1-1.mga8
+ Revision: 1455342
- New version 5.17.1

* Mon Oct 14 2019 neoclust <neoclust> 5.17.0-1.mga8
+ Revision: 1453174
- New version 5.17.0

* Mon Sep 30 2019 neoclust <neoclust> 5.16.90-1.mga8
+ Revision: 1448411
- New version 5.16.90

* Wed Sep 04 2019 neoclust <neoclust> 5.16.5-1.mga8
+ Revision: 1437058
- New version 5.16.5

* Wed Jul 31 2019 neoclust <neoclust> 5.16.4-1.mga8
+ Revision: 1426326
- New version 5.16.4

* Thu Jul 25 2019 neoclust <neoclust> 5.16.3-1.mga8
+ Revision: 1424166
- New version 5.16.3

* Mon Apr 08 2019 neoclust <neoclust> 5.15.4-1.mga7
+ Revision: 1386858
- New version 5.15.4

* Mon Apr 01 2019 umeabot <umeabot> 5.15.3.2-2.mga7
+ Revision: 1383988
- Qt5 Rebuild

* Thu Mar 14 2019 daviddavid <daviddavid> 5.15.3.2-1.mga7
+ Revision: 1376101
- New version 5.15.3.2
+ neoclust <neoclust>
- New version 5.15.3

* Thu Feb 28 2019 neoclust <neoclust> 5.15.2-1.mga7
+ Revision: 1370564
- New version 5.15.2

* Tue Feb 19 2019 neoclust <neoclust> 5.15.1-1.mga7
+ Revision: 1368604
- New version 5.15.1

* Mon Feb 18 2019 daviddavid <daviddavid> 5.15.0-3.mga7
+ Revision: 1368151
- add missing dependency on qqc2-desktop-style

* Sun Feb 17 2019 daviddavid <daviddavid> 5.15.0-2.mga7
+ Revision: 1367842
- enable kirigami2 support

* Sat Feb 16 2019 neoclust <neoclust> 5.15.0-1.mga7
+ Revision: 1367815
- New version 5.15.0

* Mon Jan 14 2019 neoclust <neoclust> 5.14.5-1.mga7
+ Revision: 1356188
- New version 5.14.5

* Mon Dec 10 2018 neoclust <neoclust> 5.14.4.1-1.mga7
+ Revision: 1339416
- New version 5.14.4.1
- New version 5.14.4

* Wed Oct 24 2018 neoclust <neoclust> 5.14.2-1.mga7
+ Revision: 1324891
- New version 5.14.2

* Thu Sep 13 2018 wally <wally> 5.13.4-2.mga7
+ Revision: 1258810
- rebuild for aarch64

* Fri Aug 17 2018 neoclust <neoclust> 5.13.4-1.mga7
+ Revision: 1252263
- New version 5.13.4

* Fri Feb 23 2018 neoclust <neoclust> 5.12.2-1.mga7
+ Revision: 1204455
- New version 5.12.2

* Thu Feb 15 2018 neoclust <neoclust> 5.12.1-4.mga7
+ Revision: 1201460
- Rebuild with file list fixed for arm

* Thu Feb 15 2018 daviddavid <daviddavid> 5.12.1-3.mga7
+ Revision: 1201401
- BR pkgconfig(xorg-libinput) to enable Libinput driver headers support

* Wed Feb 14 2018 neoclust <neoclust> 5.12.1-2.mga7
+ Revision: 1201245
- Try to build all modules on arm

* Wed Feb 14 2018 neoclust <neoclust> 5.12.1-1.mga7
+ Revision: 1201001
- New version 5.12.1

* Fri Jan 19 2018 neoclust <neoclust> 5.11.95-1.mga7
+ Revision: 1194626
- New version 5.11.95

* Wed Dec 27 2017 neoclust <neoclust> 5.11.4-1.mga7
+ Revision: 1185695
- New version 5.11.4

* Sun Oct 29 2017 daviddavid <daviddavid> 5.11.2-4.mga7
+ Revision: 1174531
- add kamera as a dependency (mga#21909)

* Sun Oct 29 2017 daviddavid <daviddavid> 5.11.2-3.mga7
+ Revision: 1174530
- add kimageformats as a dependency (mga#21935)

* Sat Oct 28 2017 daviddavid <daviddavid> 5.11.2-2.mga7
+ Revision: 1174432
- enable Breeze support
- enable AppStreamQt support

* Fri Oct 27 2017 neoclust <neoclust> 5.11.2-1.mga7
+ Revision: 1174115
- New version 5.11.2

* Thu Oct 19 2017 neoclust <neoclust> 5.11.1-2.mga7
+ Revision: 1172708
- Install kamera by default

* Tue Oct 17 2017 neoclust <neoclust> 5.11.1-1.mga7
+ Revision: 1172400
- New version 5.11.1
- Add kpackage as default require (mga#21251)

* Sun Oct 01 2017 neoclust <neoclust> 5.10.95-1.mga7
+ Revision: 1162408
- New version 5.10.95
- New version 5.10.5

* Sun Jul 23 2017 neoclust <neoclust> 5.10.4-1.mga7
+ Revision: 1129397
- New version 5.10.4
- New version 5.10.3

* Tue Jun 06 2017 akien <akien> 5.8.7-5.mga6
+ Revision: 1107148
- Use upstream patch to fix implicit Qt 5.7 use

* Sun May 28 2017 neoclust <neoclust> 5.8.7-4.mga6
+ Revision: 1105286
- Fix typo in conflicts

* Sat May 27 2017 neoclust <neoclust> 5.8.7-3.mga6
+ Revision: 1105177
- Add more conflicts to help upgrade

* Fri May 26 2017 neoclust <neoclust> 5.8.7-2.mga6
+ Revision: 1105078
- Add P100 - Revert upstream commit 76034a4cd

* Fri May 26 2017 neoclust <neoclust> 5.8.7-1.mga6
+ Revision: 1105036
- New version 5.8.7

* Thu May 18 2017 neoclust <neoclust> 5.8.6-10.mga6
+ Revision: 1103122
- Revert previous patches

* Thu May 18 2017 neoclust <neoclust> 5.8.6-9.mga6
+ Revision: 1102908
- Sync with plasma 5.8 branch

* Sun May 14 2017 neoclust <neoclust> 5.8.6-8.mga6
+ Revision: 1101061
- Fix conflits (mga#20800)

* Thu Apr 20 2017 neoclust <neoclust> 5.8.6-7.mga6
+ Revision: 1096960
- Sync with 5.8 branch

* Sat Apr 01 2017 neoclust <neoclust> 5.8.6-6.mga6
+ Revision: 1095586
- Update to Plasma 5.8 Branch

* Sun Mar 26 2017 neoclust <neoclust> 5.8.6-5.mga6
+ Revision: 1094892
- Sync with 5.8 branch

* Fri Mar 10 2017 neoclust <neoclust> 5.8.6-4.mga6
+ Revision: 1091570
- Add P114: Fix hovering bug (mga#20433)

* Fri Mar 10 2017 neoclust <neoclust> 5.8.6-3.mga6
+ Revision: 1091161
- Sync with 5.8.7 branch

* Wed Mar 08 2017 neoclust <neoclust> 5.8.6-2.mga6
+ Revision: 1089712
- Rebuild for arm

* Mon Mar 06 2017 neoclust <neoclust> 5.8.6-1.mga6
+ Revision: 1089037
- New version 5.8.6

* Fri Dec 30 2016 neoclust <neoclust> 5.8.5-2.mga6
+ Revision: 1078723
- Fix conflict against kdebase4-workspace

* Tue Dec 27 2016 neoclust <neoclust> 5.8.5-1.mga6
+ Revision: 1078172
- New version 5.8.5

* Mon Nov 28 2016 neoclust <neoclust> 5.8.4-1.mga6
+ Revision: 1070729
- New version 5.8.4

* Thu Nov 03 2016 neoclust <neoclust> 5.8.3-2.mga6
+ Revision: 1065084
- Rebuild against Qt 5.6.2

* Tue Nov 01 2016 neoclust <neoclust> 5.8.3-1.mga6
+ Revision: 1064490
- New version 5.8.3

* Sat Oct 22 2016 neoclust <neoclust> 5.8.2-1.mga6
+ Revision: 1063060
- New version 5.8.2
- New version 5.8.2

* Wed Oct 12 2016 neoclust <neoclust> 5.8.1-1.mga6
+ Revision: 1060441
- New version 5.8.1

* Thu Sep 29 2016 neoclust <neoclust> 5.8.0-1.mga6
+ Revision: 1057611
- New version 5.8.0

* Fri Sep 16 2016 neoclust <neoclust> 5.7.95-2.mga6
+ Revision: 1053496
- Fix default background extension

* Thu Sep 15 2016 neoclust <neoclust> 5.7.95-1.mga6
+ Revision: 1053220
- New version 5.7.95

* Wed Sep 14 2016 neoclust <neoclust> 5.7.5-1.mga6
+ Revision: 1052694
- New version 5.7.5

* Mon Sep 12 2016 neoclust <neoclust> 5.7.4-2.mga6
+ Revision: 1051607
- Install Bluedevil by default ( mga #19339)

* Thu Aug 25 2016 neoclust <neoclust> 5.7.4-1.mga6
+ Revision: 1048815
- New version 5.7.4

* Tue Aug 23 2016 daviddavid <daviddavid> 5.7.3-15.mga6
+ Revision: 1047939
- Requires sonnet

* Tue Aug 09 2016 neoclust <neoclust> 5.7.3-14.mga6
+ Revision: 1045207
- Add default launchers on the panel

* Tue Aug 09 2016 neoclust <neoclust> 5.7.3-13.mga6
+ Revision: 1045168
- Addorg.kde.plasma.lock_logout widget

* Tue Aug 09 2016 neoclust <neoclust> 5.7.3-12.mga6
+ Revision: 1045163
- Add showactivity widget

* Tue Aug 09 2016 neoclust <neoclust> 5.7.3-11.mga6
+ Revision: 1045076
- Fix typo in customisation

* Tue Aug 09 2016 neoclust <neoclust> 5.7.3-10.mga6
+ Revision: 1045062
- Fi mageia default start

* Sun Aug 07 2016 neoclust <neoclust> 5.7.3-9.mga6
+ Revision: 1044949
- Fix bug with a empty panel

* Sun Aug 07 2016 neoclust <neoclust> 5.7.3-8.mga6
+ Revision: 1044945
- Really apply Patch2

* Sun Aug 07 2016 neoclust <neoclust> 5.7.3-7.mga6
+ Revision: 1044941
- Update app menu icon (mga#18579)

* Sun Aug 07 2016 neoclust <neoclust> 5.7.3-6.mga6
+ Revision: 1044930
- Fix default requires : kparts

* Sun Aug 07 2016 neoclust <neoclust> 5.7.3-5.mga6
+ Revision: 1044925
- Install kactivitymanagerd as default

* Fri Aug 05 2016 neoclust <neoclust> 5.7.3-4.mga6
+ Revision: 1044682
- Requires user-manager
- Add showdesktop widget by default

* Fri Aug 05 2016 neoclust <neoclust> 5.7.3-2.mga6
+ Revision: 1044639
- Fix default requires

* Fri Aug 05 2016 neoclust <neoclust> 5.7.3-1.mga6
+ Revision: 1044628
- New version 5.7.3

* Sat Jul 30 2016 daviddavid <daviddavid> 5.7.2-2.mga6
+ Revision: 1044007
- add kmenuedit as a Requires

* Wed Jul 20 2016 neoclust <neoclust> 5.7.2-1.mga6
+ Revision: 1042787
- New version 5.7.2
- New version 5.7.2

* Fri Jul 15 2016 neoclust <neoclust> 5.7.1-4.mga6
+ Revision: 1042158
- Really apply P1

* Fri Jul 15 2016 neoclust <neoclust> 5.7.1-3.mga6
+ Revision: 1042119
- Customize default menu style

* Fri Jul 15 2016 neoclust <neoclust> 5.7.1-2.mga6
+ Revision: 1042118
- Start to customize mageia Plasma

* Thu Jul 14 2016 neoclust <neoclust> 5.7.1-1.mga6
+ Revision: 1041980
- New version 5.7.1
- New version 5.7.1

* Sat Jul 09 2016 neoclust <neoclust> 5.7.0-3.mga6
+ Revision: 1039913
- Enable folderview by default

* Fri Jul 08 2016 neoclust <neoclust> 5.7.0-2.mga6
+ Revision: 1039794
- Remove empty package

* Fri Jul 08 2016 tmb <tmb> 5.7.0-1.mga6
+ Revision: 1039783
- update filelists
- update filelist
- update to 5.7.0

* Tue Jul 05 2016 tmb <tmb> 5.6.5-1.mga6
+ Revision: 1038747
- update to 5.6.5
+ neoclust <neoclust>
- New version 5.6.5

* Thu Jun 16 2016 luigiwalser <luigiwalser> 5.6.4-4.mga6
+ Revision: 1021795
- revert previous change for now as it does not work and panel disappears

* Sat Jun 11 2016 neoclust <neoclust> 5.6.4-3.mga6
+ Revision: 1021204
- Modify default menu

* Sat Jun 11 2016 neoclust <neoclust> 5.6.4-2.mga6
+ Revision: 1021177
- Add mageia default background

* Mon May 16 2016 neoclust <neoclust> 5.6.4-1.mga6
+ Revision: 1015967
- New version 5.6.4
+ tv <tv>
- use std build macros

* Wed May 04 2016 neoclust <neoclust> 5.6.3-1.mga6
+ Revision: 1009434
- New version 5.6.3
- Use Mageia Configs from mageia-plasms5-config

* Fri Apr 08 2016 neoclust <neoclust> 5.6.2-1.mga6
+ Revision: 999271
- New version 5.6.2

* Sun Apr 03 2016 neoclust <neoclust> 5.6.1-1.mga6
+ Revision: 998026
- New version 5.6.1

* Wed Mar 23 2016 neoclust <neoclust> 5.6.0-1.mga6
+ Revision: 994404
- New version 5.6.0

* Mon Mar 07 2016 neoclust <neoclust> 5.5.95-6.mga6
+ Revision: 987003
- Rebuild against kf5 5.20.0
- Fix conflicts against kactivities

* Sat Mar 05 2016 luigiwalser <luigiwalser> 5.5.95-4.mga6
+ Revision: 985815
- fix some obsoletes

* Fri Mar 04 2016 neoclust <neoclust> 5.5.95-3.mga6
+ Revision: 985556
- Add conflict to ease upgrade

* Fri Mar 04 2016 neoclust <neoclust> 5.5.95-2.mga6
+ Revision: 985555
- Add conflict to ease upgrade

* Thu Mar 03 2016 neoclust <neoclust> 5.5.95-1.mga6
+ Revision: 985231
- New version 5.5.95

* Tue Mar 01 2016 blino <blino> 5.5.4-2.mga6
+ Revision: 981741
- obsolete superkaramba (dropped in KDE 15.12.0)

* Wed Jan 27 2016 neoclust <neoclust> 5.5.4-1.mga6
+ Revision: 928003
- New version 5.5.4

* Sun Jan 24 2016 neoclust <neoclust> 5.5.3-3.mga6
+ Revision: 926951
- Install khotkeys by default

* Sun Jan 17 2016 neoclust <neoclust> 5.5.3-2.mga6
+ Revision: 925006
- Install plasma-pa by default

* Wed Jan 13 2016 neoclust <neoclust> 5.5.3-1.mga6
+ Revision: 922516
- New version 5.5.3

* Fri Jan 01 2016 neoclust <neoclust> 5.5.2-3.mga6
+ Revision: 917525
- Add powerdevil as require

* Sun Dec 27 2015 neoclust <neoclust> 5.5.2-2.mga6
+ Revision: 915833
- Rebuild against new cmake to have cmake() provides

* Fri Dec 25 2015 neoclust <neoclust> 5.5.2-1.mga6
+ Revision: 914852
- New version 5.5.2
- Rebuild against Qt 5.6.0 Beta

* Tue Dec 15 2015 neoclust <neoclust> 5.5.1-1.mga6
+ Revision: 910697
- New version 5.5.1

* Wed Dec 09 2015 neoclust <neoclust> 5.5.0-3.mga6
+ Revision: 909000
- Rebuild against fixed hawkey

* Wed Dec 09 2015 neoclust <neoclust> 5.5.0-2.mga6
+ Revision: 908988
- Rebuild with bootstrapped plasma-workspace

* Tue Dec 08 2015 neoclust <neoclust> 5.5.0-1.mga6
+ Revision: 908858
- New version 5.5.0

* Fri Nov 20 2015 neoclust <neoclust> 5.4.95-1.mga6
+ Revision: 904508
- New version 5.4.95

* Thu Nov 12 2015 neoclust <neoclust> 5.4.90-5.mga6
+ Revision: 902747
- Fix typo in requires MGA#17135

* Wed Nov 11 2015 neoclust <neoclust> 5.4.90-4.mga6
+ Revision: 902619
- Add new config rpm as deps

* Tue Nov 10 2015 neoclust <neoclust> 5.4.90-3.mga6
+ Revision: 900851
- Rebuild against fixed qtbase5

* Mon Nov 09 2015 neoclust <neoclust> 5.4.90-2.mga6
+ Revision: 899656
- Rebuild against fixed extra-cmake-modules

* Sun Nov 08 2015 neoclust <neoclust> 5.4.90-1.mga6
+ Revision: 898494
- New version 5.4.90

* Sun Oct 11 2015 neoclust <neoclust> 5.4.2-1.mga6
+ Revision: 889529
- New version 5.4.2

* Wed Sep 09 2015 neoclust <neoclust> 5.4.1-1.mga6
+ Revision: 874741
- New version 5.4.1

* Wed Aug 26 2015 neoclust <neoclust> 5.4.0-1.mga6
+ Revision: 869730
- New version 5.4.0

* Fri Aug 21 2015 neoclust <neoclust> 5.3.95-4.mga6
+ Revision: 867373
- Add more minimal deps

* Fri Aug 21 2015 neoclust <neoclust> 5.3.95-3.mga6
+ Revision: 867317
- Add some minimal requires

* Wed Aug 12 2015 neoclust <neoclust> 5.3.95-2.mga6
+ Revision: 863327
- Rebuild against KF 5.13.0

* Tue Aug 11 2015 neoclust <neoclust> 5.3.95-1.mga6
+ Revision: 862906
- New version 5.3.95

* Sun Aug 09 2015 neoclust <neoclust> 5.3.2-17.mga6
+ Revision: 861695
- Fix confict to ease upgrade

* Mon Aug 03 2015 neoclust <neoclust> 5.3.2-16.mga6
+ Revision: 860884
- Requires kactivities to fix a crash ( mga#16416)

* Sat Aug 01 2015 neoclust <neoclust> 5.3.2-15.mga6
+ Revision: 860478
- Obsolete removed package

* Sat Aug 01 2015 neoclust <neoclust> 5.3.2-14.mga6
+ Revision: 860315
- Provides icontasks

* Sat Aug 01 2015 neoclust <neoclust> 5.3.2-13.mga6
+ Revision: 860301
- Fix conflicts against kdebase4-workspace-devel

* Sat Aug 01 2015 neoclust <neoclust> 5.3.2-12.mga6
+ Revision: 860250
- Fix conflicts against kdebase4-workspace
- Add default requires

* Sun Jul 19 2015 neoclust <neoclust> 5.3.2-10.mga6
+ Revision: 855551
- Add kwallet as basis deps

* Sun Jul 19 2015 neoclust <neoclust> 5.3.2-9.mga6
+ Revision: 855490
- Add Buildrequire to xorg-evdev
- Add packagekit Qt5 Buildrequire
- Add Buildrequires for the touchpad kcm

* Sat Jul 18 2015 lmenut <lmenut> 5.3.2-7.mga6
+ Revision: 855166
- fix BuildRequires, Obsoletes versions & Provides

* Fri Jul 17 2015 neoclust <neoclust> 5.3.2-6.mga6
+ Revision: 854878
- Obsoletes some packages

* Mon Jul 13 2015 neoclust <neoclust> 5.3.2-5.mga6
+ Revision: 853545
- Ease upgrade

* Wed Jul 08 2015 neoclust <neoclust> 5.3.2-4.mga6
+ Revision: 852694
- Add krunner as require

* Tue Jul 07 2015 lmenut <lmenut> 5.3.2-3.mga6
+ Revision: 852275
- fix Conflicts: add versions
+ neoclust <neoclust>
- Remove conflicts

* Sat Jul 04 2015 neoclust <neoclust> 5.3.2-2.mga6
+ Revision: 850530
- Fix library name

* Sat Jul 04 2015 neoclust <neoclust> 5.3.2-1.mga6
+ Revision: 850524
- New version 5.3.2

* Sat Dec 20 2014 neoclust <neoclust> 5.1.2-1.mga5
+ Revision: 804487
- New version

* Mon Oct 27 2014 lmenut <lmenut> 5.0.1-5.mga5
+ Revision: 793590
- add missing conflicts with KDE 4 (mga#14300)

* Wed Oct 15 2014 umeabot <umeabot> 5.0.1-4.mga5
+ Revision: 740507
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 5.0.1-3.mga5
+ Revision: 687628
- Mageia 5 Mass Rebuild

* Sat Aug 16 2014 neoclust <neoclust> 5.0.1-2.mga5
+ Revision: 663963
- Adapt to package renaming
- Adapt to package renaming

* Wed Aug 13 2014 neoclust <neoclust> 5.0.1-1.mga5
+ Revision: 662308
- New version 5.0.1

* Mon Jul 28 2014 neoclust <neoclust> 5.0.0-3.mga5
+ Revision: 657675
- Fix file list for non devel package

* Sun Jul 27 2014 neoclust <neoclust> 5.0.0-2.mga5
+ Revision: 657663
- Enable translations

* Tue Jul 22 2014 neoclust <neoclust> 5.0.0-1.mga5
+ Revision: 655640
- Workaround require bug
- imported package plasma-desktop

